Inicio / Content / Boletín de INCIBE-CERT del 06-05-2021

Boletín de INCIBE-CERT del 06-05-2021

Múltiples vulnerabilidades en Web-Based Management de WAGO

Fecha de publicación: 
06/05/2021
Importancia: 
5 - Crítica
Recursos afectados: 
  • Web-Based Management (WBM):
    • 0852-0303, versión V1.2.3.S0 y anteriores;
    • 0852-1305, versión V1.1.7.S0 y anteriores;
    • 0852-1505, versión V1.1.6.S0 y anteriores;
    • 0852-1305/000-001, versión V1.0.4.S0 y anteriores;
    • 0852-1505/000-001, versión V1.0.4.S0 y anteriores.
Descripción: 

Una serie de vulnerabilidades coordinadas por el CERT@VDE podrían permitir a un atacante con acceso al dispositivo y a la Web-Based Management (WBM), instalar malware, acceder a los hash de las contraseñas y crear usuarios con credenciales de administrador.

Solución: 
  • Web-Based Management (WBM) sólo es necesario durante la instalación y la puesta en marcha, no durante el funcionamiento normal. Se recomienda desactivar el servidor web después de la puesta en marcha. La interfaz de línea de comandos (CLI) es una alternativa para la puesta en marcha del dispositivo. Esta es la forma más fácil y segura de proteger su dispositivo de las vulnerabilidades enumeradas.
  • Las vulnerabilidades se solucionan mediante las siguientes actualizaciones:
    • para 0852-0303 (HW versión anterior a la 3), actualizar a la versión V1.2.5.S0;
    • para 0852-0303 (HW versión 3 o superior), actualizar a la versión V1.2.3.S1;
    • para 0852-1305, actualizar a la versión V1.1.8.S0;
    • para 0852-1505, actualizar a la versión V1.1.7.S0;
    • para 0852-1305/000-001, actualizar a la versión V1.1.4.S0;
    • para 0852-1505/000-001, actualizar a la versión V1.1.4.S0.
Detalle: 
  • La falta de autenticación en una función crítica podría permitir a un atacante, no autenticado, crear nuevos usuarios mediante paquetes especialmente diseñados. Se ha asignado el identificador CVE-2021-20998 para esta vulnerabilidad de severidad crítica.
  • El saneamiento inadecuado de los datos de entrada podría permitir a un atacante, autorizado, inyectar código malicioso en Web-Based Management (WBM). Se ha asignado el identificador CVE-2021-20994 para esta vulnerabilidad de severidad alta.
  • Las cookies del servidor web contienen credenciales de usuario. Se ha asignado el identificador CVE-2021-20995 para esta vulnerabilidad de severidad alta.
  • La protección insuficiente de las credenciales podría permitir a un atacante leer los hashes de las contraseñas de los usuarios de Web-Based Management (WBM). Se ha asignado el identificador CVE-2021-20997 para esta vulnerabilidad de severidad alta.

Para el resto de vulnerabilidades de severidad media se han asignado los identificadores CVE-2021-20993 y CVE-2021-20996.

Encuesta valoración